import request from '@/utils/request'

// 查询评价管理列表
export function listEvaluation(query) {
  return request({
    url: '/business/evaluation/list',
    method: 'get',
    params: query
  })
}

// 查询评价管理详细
export function getEvaluation(id) {
  return request({
    url: '/business/evaluation/' + id,
    method: 'get'
  })
}

// 新增评价管理
export function addEvaluation(data) {
  return request({
    url: '/business/evaluation',
    method: 'post',
    data: data
  })
}

// 修改评价管理
export function updateEvaluation(data) {
  return request({
    url: '/business/evaluation',
    method: 'put',
    data: data
  })
}

// 删除评价管理
export function delEvaluation(id) {
  return request({
    url: '/business/evaluation/' + id,
    method: 'delete'
  })
}

// 导出评价管理
export function exportEvaluation(query) {
  return request({
    url: '/business/evaluation/export',
    method: 'get',
    params: query
  })
}